# Generated by Django 4.1.7 on 2023-03-17 13:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('user_app', '0014_alter_profile_company_cover_image_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='BankRequisites',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bank_name', models.CharField(max_length=500, verbose_name='Bank name')),
                ('bank_account_name', models.CharField(max_length=500, verbose_name='Bank Account Name')),
                ('bank_account_number', models.CharField(max_length=100, verbose_name='Bank Account Number')),
                ('swift_code', models.CharField(max_length=100, verbose_name='Swift code')),
                ('profile', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bank_requisites', to='user_app.profile', verbose_name='Profile')),
            ],
            options={
                'verbose_name': 'Bank requisites',
                'verbose_name_plural': 'Bank requisites',
            },
        ),
    ]
